<?php
/**
 * Copyright since 2007 PrestaShop SA and Contributors
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://devdocs.prestashop.com/ for more information.
 *
 * @author    PrestaShop SA and Contributors <contact@prestashop.com>
 * @copyright Since 2007 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 */
declare(strict_types=1);

namespace PrestaShop\PrestaShop\Core\Domain\Product\VirtualProductFile;

class VirtualProductFileSettings
{
    /**
     * Following constants defines maximum characters length constraints for corresponding fields
     */
    public const MAX_DISPLAY_FILENAME_LENGTH = 255;
    public const MAX_FILENAME_LENGTH = 255;
    public const MAX_ACCESSIBLE_DAYS_LIMIT = 9999999999;
    public const MAX_DOWNLOAD_TIMES_LIMIT = 9999999999;

    /**
     * Class not supposed to be initialized, it only serves as static storage
     */
    private function __construct()
    {
    }
}
